Skip to main content
PATCH
Mute or unmute a push device

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

device_id
string<uuid>
required

Body

application/json
enabled
boolean
required

Response

The device

A mobile device registered for the caller's push notifications.

id
string<uuid>
required
organisation_id
string<uuid>
required
platform
enum<string>
required
Available options:
ios,
android
apns_environment
string | null
required
device_name
string | null
required
app_version
string | null
required
os_version
string | null
required
token_suffix
string
required

The end of the device token, enough to tell devices apart.

enabled
boolean
required
disabled_reason
string | null
required
last_seen_at
string<date-time>
required
last_delivered_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required